nlohmann::basic_json::const_reverse_iterator Class Reference

a const reverse random access iterator for the basic_json class

`#include <json.hpp>`

## Public Types

using | base_iterator = std::reverse_iterator< typename basic_json::const_iterator >
| shortcut to the reverse iterator adaptor More...

## Public Member Functions

| const_reverse_iterator (const typename base_iterator::iterator_type &it)
| create reverse iterator from iterator More...
| const_reverse_iterator (const base_iterator &it)
| create reverse iterator from base class More...
object_t::key_type | key () const
| return the key of an object iterator More...
const_reverse_iterator | operator+ (difference_type i) const
| add to iterator More...
const_reverse_iterator | operator++ (int)
| post-increment (it++) More...
const_reverse_iterator & | operator++ ()
| pre-increment (++it) More...
const_reverse_iterator & | operator+= (difference_type i)
| add to iterator More...
const_reverse_iterator | operator- (difference_type i) const
| subtract from iterator More...
difference_type | operator- (const const_reverse_iterator &other) const
| return difference More...
const_reverse_iterator | operator-- (int)
| post-decrement (it–) More...
const_reverse_iterator & | operator-- ()
| pre-decrement (–it) More...
const_reference | operator[] (difference_type n) const
| access to successor More...
const_reference | value () const
| return the value of an iterator More...